| Home | Libraries | People | FAQ | More

## Struct is_iequal

boost::algorithm::is_iequal — case insensitive version of is_equal

## Synopsis

    struct is_iequal {
      // construct/copy/destruct
      is_iequal(const std::locale & = std::locale());

      // public member functions
      template<typename T1, typename T2>
        bool operator()(const T1 &, const T2 &) const;
    };

## Description

Case insensitive comparison predicate. Comparison is done using specified locales.

### `is_iequal` construct/copy/destruct

1.     is_iequal(const std::locale & Loc = std::locale());

   Parameters

   Loc

     locales used for comparison

### `is_iequal` public member functions

1.     template<typename T1, typename T2>
         bool operator()(const T1 & Arg1, const T2 & Arg2) const;

   Compare two operands. Case is ignored.

| Copyright © 2002-2004 Pavol Droba